---
remove_directories:
  - Templates
  - Videos
  - Documents
  - Music
  - Downloads
  - Pictures
  - Public
  - Desktop

create_directories:
  - documents
  - documents/keepassxc
  - music
  - downloads
  - pictures
  - scripts
  - projects
  - src
  - .config
  - .local/share
  - .local/share/fonts

init_users:
  opal:
    name: opal
    group: opal
    groups: 
      - sudo
    state: present
    shell: /bin/bash
    create_home: true

ppa:
  - ppa:ansible/ansible

wm_packages:
  - sway
  - swayidle
  - swaylock
  - foot
  - waybar
  - dunst
  - pipewire
  - grim
  - grimshot
  - brightnessctl
  - wlogout
  - xwayland
  - wdisplays
  - gammastep
  - wtype
  - rofi

ui_packages:
  - papirus-icon-theme
  - arc-theme
  - breeze-cursor-theme
  - qt5ct
  - fonts-font-awesome
  - fonts-noto-color-emoji
  - fonts-noto-cjk
  - fonts-recommended

general_packages:
  - git
  - stow
  - curl
  - keepassxc
  - pkg-config
  - emacs
  - playerctl
  - guile-json
  - unzip
  - syncthing
  - keychain
  - gnupg2
  - tldr-py
  - trash-cli
  - htop
  - udiskie
  - pavucontrol
  - flatpak
  - blueman
  - playerctl
  - simple-scan
  - wireguard
  - exa
  - screen
  - tlp
  - caffeine

doom_dep_packages:
  - fd-find
  - ripgrep
  - libtool     # Needed to compile vterm in Doom Emacs
  - libtool-bin
  - cmake       # Needed to compile vterm in Doom Emacs
  - discount    # Markdown Compiler
  - shellcheck  # Shell linter for Doom Emacs

flatpak_packages:
  - net.ankiweb.Anki
  - org.torproject.torbrowser-launcher
  - org.nicotine_plus.Nicotine
  - org.strawberrymusicplayer.strawberry
  - io.freetubeapp.FreeTube
  - io.gitlab.librewolf-community

doom_emacs_repo: https://github.com/doomemacs/doomemacs
doom_emacs_dest: ~/.config/emacs

etbook_repo: https://github.com/edwardtufte/et-book
etbook_dest: ~/.local/share/fonts/et-book
